<?php
/*
Plugin Name: SEO Pagebar 2
Plugin URI: http://www.fob-marketing.de/marketing-seo-blog-tag/seo-pagebar/
Description:  SEO Pagebar Plugin from Oliver Bockelmann (<a href="http://www.fob-marketing.de/">fob marketing</a>) und Sebastian Schmiedel (<a href="http://www.flexib.de/">flexib Webdesign</a>). <a href="/wp-admin/options-general.php?page=seopagebar/seopagebar-options.php">Manage SEO Pagebar Options</a> here.
Version: 2.1
Min WP Version: 2.3 
Max WP Version: 2.7 
Author: Flexib Webdesign
Author URI: http://www.flexib.de
*/

/*  
	Copyright 2008 (SEO Pagebar 1.1 Oliver Bockelmann (email: fob@fob-marketing.de) 
	Copyright 2008 (SEO Pagebar 2.0 Oliver Bockelmann (email: fob@fob-marketing.de) und Sebastian Schmiedel (email: info@flexib.de) 


  	This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA   

    This program has been inspired by WP-PageNavi, provided by: Lester Chan (http://www.lesterchan.net/portfolio/programming.php)
*/

// Pre-2.6 compatibility
if ( !defined('WP_CONTENT_URL') )
	define( 'WP_CONTENT_URL', get_option('siteurl') . '/wp-content');
if ( !defined('WP_CONTENT_DIR') )
	define( 'WP_CONTENT_DIR', ABSPATH . 'wp-content' );
// Guess the location
$plugin_path = WP_CONTENT_DIR.'/plugins/'.plugin_basename(dirname(__FILE__));
$plugin_url = WP_CONTENT_URL.'/plugins/'.plugin_basename(dirname(__FILE__));

### bersetzung
add_action('init', 'seopagebar_textdomain');
function seopagebar_textdomain() {
	$seopagebar_options = get_option('seopagebar_options');
	$currentLocale = $seopagebar_options['sprache'];
	if(!empty($currentLocale) && $currentLocale!="de_DE") {
		$moFile = dirname(__FILE__) . "/seopagebar-" . $currentLocale . ".mo";
		if(@file_exists($moFile) && is_readable($moFile)) load_textdomain('seopagebar', $moFile);
	}
}

### SEO Pagebar Menu (Men)
add_action('admin_menu', 'seopagebar_menu');
function seopagebar_menu() {
	if (function_exists('add_options_page')) {
		add_options_page(__('seopagebar', 'seopagebar'), __('SEO Pagebar', 'seopagebar'), 'manage_options', 'seopagebar/seopagebar-options.php');
	}
}

### SEO CSS
add_action('wp_head', 'seopagebar_css');
function seopagebar_css() {
	global $plugin_url;
		echo "\n".'<!-- Start Of Script Generated By SEO Pagebar 2.0 -->'."\n";
		echo '<link rel="stylesheet" href="'.$plugin_url.'/seopagebar-css.css" type="text/css" media="screen" />'."\n";
		echo '<!-- End Of Script Generated By SEO Pagebar 2.0 -->'."\n";	                
}

### SEO Pagebar Output (Ausgabe)
function seopagebar() {
	global $wpdb, $wp_query;
	
	if (!is_single()) {
		$request = $wp_query->request;
		$posts_per_page = intval(get_query_var('posts_per_page'));
		$paged = intval(get_query_var('paged'));
		$seopagebar_options = get_option('seopagebar_options');
		$numposts = $wp_query->found_posts;
		$max_page = $wp_query->max_num_pages;
		
		echo "\n".'<!-- Begin: SEO Pagebar Plugin -->'."\n\n";
			
		if(empty($paged) || $paged == 0) {
			$paged = 1; 
		}
		
		// Mouseover
		if($seopagebar_options['mouse']==1) {
			
			// Categories (Kategorien u.s.w.)
			if($seopagebar_options['mouse_auto']==1) {

				if (is_category()) {
					$hover_seopagetitle = htmlspecialchars(single_cat_title("", false));
					
				} elseif (is_tag()) {
					$hover_seopagetitle = htmlspecialchars(single_tag_title("", false));
			
				} else {
					$hover_seopagetitle = htmlspecialchars($seopagebar_options['mouse_over_text']);
				}
					
			}
			else {
				$hover_seopagetitle = htmlspecialchars($seopagebar_options['mouse_over_text']);
			}
		}
		else {
			$hover_seopagetitle = "";	
		} 
		
		// Nofollow Links? 
		if($seopagebar_options['nofollow']==1) {
			$nofollow=' rel="nofollow"';			
		}
		else {
			$nofollow='';	
		}
		
		// CSS Class (CSS-Klasse fr Links)
		if($seopagebar_options['css_class_link']!="") {
			$css_class_link=' class="'.$seopagebar_options['css_class_link'].'"';			
		}
		else {
			$css_class_link='';	
		}		
			
		$pages_to_show = intval($seopagebar_options['seiten']);
		$pages_to_show_minus_1 = $pages_to_show-1;
		$half_page_start = floor($pages_to_show_minus_1/2);
		$half_page_end = ceil($pages_to_show_minus_1/2);
		
		$start_page = $paged - $half_page_start;
		if($start_page <= 0) {
			$start_page = 1;
		}
		
		$end_page = $paged + $half_page_end; 
		if(($end_page - $start_page) != $pages_to_show_minus_1) { 
		$end_page = $start_page + $pages_to_show_minus_1; 
		} 
		
		if($end_page > $max_page) {
			$start_page = $max_page - $pages_to_show_minus_1; 
			$end_page = $max_page;
		}
		
		if($start_page <= 0) {
			$start_page = 1;
		}

		$paged_1 = ($paged-$paged + 1); 
		$paged_2 = ($paged-$paged + 2); 
		$max_page_2 = ($max_page - 1); 
		
		if($max_page > 1 && intval($seopagebar_options['anzeige_leer']) == 0) { 
			
			$pages_text = $paged; 
			$pages_text = $max_page; 

			// CSS Class (CSS-Klasse Seo Pagebar)
			if($seopagebar_options['css_class']!="") {
				echo '<div id="'.$seopagebar_options['css_class'].'">'."\n";					
			}

			// Headline / Title (berschrift)
			if($seopagebar_options['ueber_akt']==1) {
				// ganze Zeile berschrift
				if($seopagebar_options['ueber_full']!="") {
					echo $seopagebar_options['ueber_full'];
				}
				else {
					$ueber="";
					// Tag
					if($seopagebar_options['ueber_tag']!="") {
						$ueber.='<'.$seopagebar_options['ueber_tag'];
						// CSS 
						if($seopagebar_options['ueber_class']!="") {
							$ueber.=' class="'.$seopagebar_options['ueber_class'].'"';						
						}						
						$ueber.='>';						
					}
					// Link
					if($seopagebar_options['ueber_link']!="") {
						$ueber.='<a href="'.$seopagebar_options['ueber_link'].'" title="'.$seopagebar_options['ueber'].'"';					
						// Nofollow
						if($seopagebar_options['ueber_follow']!="0") {
							$ueber.=' rel="nofollow">';					
						}	
						else {
							$ueber.='>';															
						}	
					}					
					// Ueberschrift
					if($seopagebar_options['ueber']!="") {
						$ueber.=$seopagebar_options['ueber'];					
					}						
					// Link
					if($seopagebar_options['ueber_link']!="") {
							$ueber.='</a>';																										
					}						
					// Tag
					if($seopagebar_options['ueber_tag']!="") {
						$ueber.='</'.$seopagebar_options['ueber_tag'].'>';					
					}
					// Ausgabe berschrift
					echo $ueber;
				}					
			}
			
			// Subtitle (Untertitel)
			if($seopagebar_options['unter_akt']==1) {
				// ganze Zeile Untertitel
				if($seopagebar_options['unter_full']!="") {
					echo $seopagebar_options['unter_full'];
				}
				else {
					$unter="";
					// Tag
					if($seopagebar_options['unter_tag']!="") {
						$unter.='<'.$seopagebar_options['unter_tag'];
						// CSS
						if($seopagebar_options['unter_class']!="") {
							$unter.=' class="'.$seopagebar_options['unter_class'].'"';			
						}						
						$unter.='>';						
					}	
							
					// Untertitel
					if($seopagebar_options['unter_aut']==1) {
						if (is_category()) {
							$unter.=single_cat_title("", false);
							
						} elseif (is_tag()) {
							$unter.=single_tag_title("", false);
					
						} else {
							$unter.=$seopagebar_options['unter'];
						}						
					}
					else {
						$unter.=$seopagebar_options['unter'];
					}	
																
					// Tag
					if($seopagebar_options['unter_tag']!="") {
						$unter.='</'.$seopagebar_options['unter_tag'].'>';					
					}
					// Output (Ausgabe Untertitel)
					echo $unter;
				}					
			}			
			
			if ($paged > 1) { 
				previous_posts_link($seopagebar_options['previous']); 
			} 

			// Main Page (Startseite)
			if ($paged < $pages_to_show || $paged <= 5) { 

				for($i = 1; $i <= $end_page; $i++) { 
					if($i == $paged) { 
						$current_page_text = $i; 
						echo '<span class="this-page">'.$current_page_text.'</span>'; 
						
					} else { 
						$page_text = $i;
						echo '<a href="'.get_pagenum_link($i).'" title="'.$hover_seopagetitle.' - '. __('Seite', 'seopagebar').' '.$page_text.'"';
						if($nofollow!="") {
							echo $nofollow;
						}
						if($css_class_link!="") {
							echo $css_class_link;
						}
						echo '>'.$page_text.'</a>'; 						
					} 
				} 
				
				if ($end_page < $max_page) { 

					if(!empty($seopagebar_options['zwischen'])) {  
						echo '<span class="break">'.$seopagebar_options['zwischen'].'</span>'; 
					} 

					echo '<a href="'.get_pagenum_link($max_page-1).'" title="'.$hover_seopagetitle.' - '. __('Seite', 'seopagebar').' '.$max_page_2.'"';
					if($nofollow!="") {
						echo $nofollow;
					}
					if($css_class_link!="") {
						echo $css_class_link;
					}					 
					echo '>'.$max_page_2.'</a>';
					echo '<a href="'.get_pagenum_link($max_page).'" title="'.$hover_seopagetitle.' - '. __('Seite', 'seopagebar').' '.$max_page.'"';
					if($nofollow!="") {
						echo $nofollow;
					}
					if($nofollow!="") {
						echo $css_class_link;
					}
				  echo '>'.$max_page.'</a>'; 
				} 
				next_posts_link($seopagebar_options['next'], $max_page); 
								

			// Last Page (Letzte Seite)
			} elseif ( $paged <= $max_page && $paged >= $max_page-4 ) { 

					echo '<a href="'.get_pagenum_link($paged-$paged+1).'" title="'.$hover_seopagetitle.' - '. __('Seite', 'seopagebar').' '.$paged_1.'"';
					if($nofollow!="") {
						echo $nofollow;
					}
					if($css_class_link!="") {
						echo $css_class_link;
					}					 
					echo '>1</a>'; 					
					echo '<a href="'.get_pagenum_link($paged-$paged+2).'" title="'.$hover_seopagetitle.' - '. __('Seite', 'seopagebar').' '.$paged_2.'"';
					if($nofollow!="") {
						echo $nofollow;
					}
					if($css_class_link!="") {
						echo $css_class_link;
					}
					echo '>2</a>';
						  
					if(!empty($seopagebar_options['zwischen'])) { 
						echo '<span class="break">'.$seopagebar_options['zwischen'].'</span>'; 								
					} 
			
					for($i = $start_page; $i <= $max_page; $i++) { 
						if($i == $paged) { 
							$current_page_text = $i; 
							echo '<span class="this-page">'.$current_page_text.'</span>'; 
								
						} else { 
							$page_text = $i; 
							echo '<a href="'.get_pagenum_link($i).'" title="'.$hover_seopagetitle.' - '. __('Seite', 'seopagebar').' '.$page_text.'"';
							if($nofollow!="") {
								echo $nofollow;
							}
							if($css_class_link!="") {
								echo $css_class_link;
							}
							echo '>'.$page_text.'</a>'; 		
						} 							

					} 
					next_posts_link($seopagebar_options['next'], $max_page); 
			
			// Rest of Pages (Die anderen Seiten)
			} else { 

				if ($paged >= $pages_to_show_minus_1 && $pages_to_show < $max_page) { 

					echo '<a href="'.get_pagenum_link($paged-$paged+1).'" title="'.$hover_seopagetitle.' - '. __('Seite', 'seopagebar').' '.$paged_1.'"';
					if($nofollow!="") {
						echo $nofollow;
					}
					if($css_class_link!="") {
						echo $css_class_link;
					}					 
					echo '>1</a>'; 					
					echo '<a href="'.get_pagenum_link($paged-$paged+2).'" title="'.$hover_seopagetitle.' - '. __('Seite', 'seopagebar').' '.$paged_2.'"';
					if($nofollow!="") {
						echo $nofollow;
					}
					if($css_class_link!="") {
						echo $css_class_link;
					}
					echo '>2</a>'; 

					if(!empty($seopagebar_options['zwischen'])) {  
						echo '<span class="break">'.$seopagebar_options['zwischen'].'</span>'; 
					} 
					
				} 

				for($i = $start_page; $i <= $end_page; $i++) {						
					if($i == $paged) {
						$current_page_text = $i;
						echo '<span class="this-page">'.$current_page_text.'</span>';
					} else {
						$page_text = $i;
						echo '<a href="'.get_pagenum_link($i).'" title="'.$hover_seopagetitle.' - '. __('Seite', 'seopagebar').' '.$page_text.'"';
						if($nofollow!="") {
							echo $nofollow;
						}
						if($css_class_link!="") {
							echo $css_class_link;
						}
						echo '>'.$page_text.'</a>'; 		
					}
				}

				if ($end_page < $max_page) {
					if(!empty($seopagebar_options['zwischen'])) {
						echo '<span class="break">'.$seopagebar_options['zwischen'].'</span>';
					}

					$max_page_2 = ($max_page - 1); 
					echo '<a href="'.get_pagenum_link($max_page-1).'" title="'.$hover_seopagetitle.' - '. __('Seite', 'seopagebar').' '.$max_page_2.'"';
					if($nofollow!="") {
						echo $nofollow;
					}
					if($css_class_link!="") {
						echo $css_class_link;
					}					 
					echo '>'.$max_page_2.'</a>';
					echo '<a href="'.get_pagenum_link($max_page).'" title="'.$hover_seopagetitle.' - '. __('Seite', 'seopagebar').' '.$max_page.'"';
					if($nofollow!="") {
						echo $nofollow;
					}
					if($css_class_link!="") {
						echo $css_class_link;
					}
				  echo '>'.$max_page.'</a>'; 
				}
				next_posts_link($seopagebar_options['next_text'], $max_page); 
			} 
						
			// SEO Pagebar CSS
			if($seopagebar_options['css_class']!="") {
				echo '</div>'."\n";			
			}

		}
		
		echo "\n".'<!-- End: SEO Pagebar Plugin -->'."\n";
		
	}
}

### Function: Page Navigation Options
add_action('activate_seopagebar/seopagebar.php', 'seopagebar_init');

function seopagebar_init() {
	// Add Options
	$seopagebar_options = array();
	$seopagebar_options['ueber_akt'] = '1';
	$seopagebar_options['ueber'] = 'Im Blog st&ouml;bern';
	$seopagebar_options['ueber_link'] = '/';
	$seopagebar_options['ueber_tag'] = 'h2';
	$seopagebar_options['ueber_class'] = '';
	$seopagebar_options['ueber_follow'] = '0';
	$seopagebar_options['ueber_full'] = '';
	$seopagebar_options['unter_akt'] = '1';
	$seopagebar_options['unter_aut'] = '1';
	$seopagebar_options['unter'] = '';
	$seopagebar_options['unter_tag'] = 'p';
	$seopagebar_options['unter_class'] = '';
	$seopagebar_options['unter_full'] = '';	
	$seopagebar_options['next'] = '&raquo;';
	$seopagebar_options['previous'] = '&laquo;';
	$seopagebar_options['zwischen'] = '...';
	$seopagebar_options['css_class'] = 'seopagebar';		
	$seopagebar_options['css_class_link'] = '';
	$seopagebar_options['nofollow'] = '0';
	$seopagebar_options['mouse'] = '1';
	$seopagebar_options['mouse_over_text'] = 'Blogartikel';
	$seopagebar_options['mouse_auto'] = '1';
	$seopagebar_options['anzeige_leer'] = '0';
	$seopagebar_options['seiten'] = '7';	
	$seopagebar_options['sprache'] = 'de_DE';
	add_option('seopagebar_options', $seopagebar_options, 'SEO Pagebar Einstellungen');
}
?>